﻿* Encoding: UTF-8.
* (c) 20.02.2021 Syntax written by Univ-Prof. Dr. med. Dipl.Med.-Inf. (FH) Ekkehart Jenetzky.
* Article: Sociodemographic characteristics and interests of FeverApp users.
* by Silke Schwarz, David Martin, Arndt Büssing, Olga Kulikova, Hanno Krafft, Moritz Gwiasda, Sara Hamideh Kerdar, Ingo Fingerhut, Ekkehart Jenetzky*-
* Published in special issue “Information Technology’s Role in Global Healthcare Systems”  of the "International Journal of Environmental Research and Public Health" 
* https://www.mdpi.com/journal/ijerph/special_issues/healthcare_systems. 
* Please use attached SPSS data file "ijerph-1137915-supplementary.sav" together with this script in SPSS.

* Generation of Table 1. Viewing the opening video.
DATASET ACTIVATE DataSet1.

CROSSTABS
  /TABLES=role_threefold BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=education_level_fourfold BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=operating_system BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=role_start_threefold BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=agegroup_fourfold BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=migration_background BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=child_number BY Intro_Video_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.


*Generation of Table 2. Use of the Info library depending on the status of parents, education, age and children.
DATASET ACTIVATE DataSet1.

CROSSTABS
  /TABLES=role_threefold BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=education_level_fourfold BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=operating_system BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=role_start_threefold BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=agegroup_fourfold BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=migration_background BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=child_number BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Intro_Video_two BY Info_library_use_three
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.



*Generation of Table 3. Use of documentation function the Info library depending on the status of parents, education, age and children.
DATASET ACTIVATE DataSet1.

CROSSTABS
  /TABLES=role_threefold BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=education_level_fourfold BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=operating_system BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=role_start_threefold BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=agegroup_fourfold BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=migration_background BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=child_number BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Intro_Video_two BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.

CROSSTABS
  /TABLES=Info_library_use_three BY use_of_documentation
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ PHI 
  /CELLS=COUNT ROW COLUMN 
  /COUNT ROUND CELL.


